Package: org.gradle.api.artifacts.result

## [Java] Interface UnresolvedDependencyResult

- org.gradle.api.artifacts.result.DependencyResult

- All Superinterfaces:
    DependencyResult

  A dependency that could not be resolved.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ComponentSelector` | `getAttempted()` Returns the selector that was attempted to be resolved.
    `ComponentSelectionReason` | `getAttemptedReason()` Returns the reasons why the failed selector was attempted.
    `Throwable` | `getFailure()` The failure that occurred.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface DependencyResult` | `getFrom, getRequested`

- - ### Method Detail

    - #### public ComponentSelector getAttempted()

      Returns the selector that was attempted to be resolved. This may not be the same as the requested component.

    - #### public ComponentSelectionReason getAttemptedReason()

      Returns the reasons why the failed selector was attempted.

    - #### public Throwable getFailure()

      The failure that occurred.